[extsay] Remove resource from the jid used for the temporary file name
authorMikael Berthe <mikael@lilotux.net>
Sat, 03 Apr 2010 16:36:57 +0200
changeset 27 4f1cbafb569c
parent 26 a15aa7a218ec
child 28 1183c1f11a68
[extsay] Remove resource from the jid used for the temporary file name
extsay-ng/extsay.sh
--- a/extsay-ng/extsay.sh	Sat Apr 03 15:17:15 2010 +0200
+++ b/extsay-ng/extsay.sh	Sat Apr 03 16:36:57 2010 +0200
@@ -26,7 +26,7 @@
 # Leave if the FIFO is not available
 [ -p $FIFOPATH ] || exit 255
 
-tf=$(mktemp $tmpdir/extsay-$jid-XXXXXX) || exit 255
+tf=$(mktemp $tmpdir/extsay-${jid%%/*}-XXXXXX) || exit 255
 
 if [ x$winsplit = x"winsplit" ]; then
     screen -r -X other